Module | SOAP::RPC
In: | soap/rpc/standaloneServer.rb soap/rpc/soaplet.rb soap/rpc/rpc.rb soap/rpc/router.rb soap/rpc/proxy.rb soap/rpc/httpserver.rb soap/rpc/element.rb soap/rpc/driver.rb soap/rpc/cgistub.rb

### Methods

defined_methods

### Classes and Modules

Class SOAP::RPC::CGIStub
Class SOAP::RPC::Driver
Class SOAP::RPC::HTTPServer
Class SOAP::RPC::MethodDefinitionError
Class SOAP::RPC::ParameterError
Class SOAP::RPC::Proxy
Class SOAP::RPC::RPCError
Class SOAP::RPC::Router
Class SOAP::RPC::SOAPMethod
Class SOAP::RPC::SOAPMethodRequest
Class SOAP::RPC::SOAPMethodResponse
Class SOAP::RPC::SOAPVoid
Class SOAP::RPC::SOAPlet
Class SOAP::RPC::StandaloneServer

### Constants

ServerException | = | Mapping::MappedException

### Public Class methods

defined_methods(obj)

[Source]

    # File soap/rpc/rpc.rb, line 15
      def self.defined_methods(obj)
        if obj.is_a?(Module)
          obj.methods - Module.methods
        else
          obj.methods - Object.instance_methods(true)
        end
      end

[Validate]